@php
use App\Classes\FTN\Message;
@endphp

<div class="row">
	<div class="col-4">
		TO: <strong class="highlight">{!! Message::tr($msg->to) !!}</strong> @if ($msg instanceof \App\Models\Netmail)(<strong class="highlight">{{ $msg->tftn->ftn }}</strong>)@endif
	</div>
	<div class="col-4">
		DATE: <strong class="highlight">{{ $msg->datetime->format('Y-m-d H:i:s') }}</strong>
	</div>
</div>

<div class="row pt-1">
	<div class="col-4">
		FROM: <strong class="highlight">{!! Message::tr($msg->from) !!}</strong> (<strong class="highlight">{{ $msg->fftn->ftn }}</strong>)
	</div>
	<div class="col-4">
		MSGID: <strong class="highlight">{{ $msg->msgid }}</strong>@if($x=\App\Models\Echomail::where('replyid',$msg->msgid)->count()) (<strong class="highlight">{{$x}}</strong> replies)@endif @if($msg->replyid)<br>REPLY: <strong class="highlight">{{ $msg->replyid }}</strong>@endif
	</div>
</div>

<div class="row pt-1 pb-2">
	<div class="col-4">
		SUBJECT: <strong class="highlight">{!! Message::tr($msg->subject) !!}</strong>
	</div>
	@if ($msg instanceof \App\Models\Echomail)
		<div class="col-4">
			ECHOAREA: <strong class="highlight">{{ $msg->echoarea->name }}</strong> (<strong class="highlight">{{ $msg->echoarea->domain->name }}</strong>)
		</div>
	@endif
</div>

<div class="row pb-2">
	<div class="col-8">
		<div class="pad pb-0">
			<pre class="highlight">{!! Message::tr($msg->msg).($msg->origin ? sprintf("\r * Origin: %s",$msg->origin) : '') !!}</pre>
		</div>
	</div>
</div>

@if ($msg instanceof \App\Models\Echomail)
	<div class="row pb-2">
		<div class="col-8">
			SEENBY: <br><strong class="highlight">{!! optimize_path($msg->seenby->pluck('ftn2d'))->join('</strong>, <strong class="highlight">') !!}</strong>
		</div>
	</div>
@endif

@if ($msg->flags & Message::FLAG_LOCAL)
	<div class="row pb-2">
		<div class="col-8">
			<strong class="highlight">Local message</strong>
		</div>
	</div>

@elseif ((! $msg->flags) || ($msg->flags & (Message::FLAG_INTRANSIT|Message::FLAG_RECD)))
	<!-- @todo for the nodes we export to, highlight those that we have actually sent it, vs those that havent received it yet -->
	<div class="row pb-2">
		<div class="col-8">
			PATH: <br><strong class="highlight">{!! optimize_path($msg->pathorder())->join('</strong> -> <strong class="highlight">') !!}</strong>
		</div>
	</div>

	@if ($msg->flags)
		<div class="row pb-2">
			<div class="col-8">
				RECEIVED:
				@foreach ($msg->received as $path)
					<strong class="highlight">{{ $path->pivot->recv_pkt }}</strong> by <strong class="highlight">{{ $path->ftn }}</strong> {{ $msg->created_at }}
				@endforeach
			</div>
		</div>
	@endif
@endif